Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.net.ssl
Class CertPathTrustManagerParameters

    java.lang.Object
      javax.net.ssl.CertPathTrustManagerParameters

All Implemented Interfaces:
  ManagerFactoryParameters

    public class CertPathTrustManagerParameters

extends Object
implements ManagerFactoryParameters

A wrapper for CertPathParameters. This class is used to pass validation settings to CertPath based `TrustManager`s using the `TrustManagerFactory.init()` method.

Instances of this class are immutable.

Since:
  1.5
See Also:
  `X509TrustManager`, `TrustManagerFactory`, `CertPathParameters`

Constructor Summary
`CertPathTrustManagerParameters(CertPathParameters parameters)` Construct new CertPathTrustManagerParameters from the specified parameters.

Method Summary
`CertPathParameters` | `getParameters()` Return a clone of the CertPathParameters encapsulated by this class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertPathTrustManagerParameters

    public CertPathTrustManagerParameters(CertPathParameters parameters)

  Construct new CertPathTrustManagerParameters from the specified parameters. The parameters are cloned to protect against subsequent modification.

  Parameters:
    `parameters` - the CertPathParameters to be used
  Throws:
    `NullPointerException` - if parameters is null

Method Detail

### getParameters

    public CertPathParameters getParameters()

  Return a clone of the CertPathParameters encapsulated by this class.

  Returns:
    a clone of the CertPathParameters encapsulated by this class.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.